TUGU PRATAMA INDONESIA (TPI) - Bug #1411

Generate User dengan user name menggunakan email
07/26/2022 04:26 PM - Moch Alinafia

Status:
Priority:
Assignee:
Category:

Target version:

Closed
High
Moch Alinafia

Start date:

Due date:

% Done:
Estimated time:

Spent time:

07/26/2022
08/03/2022
0%

0.00 hour
11.00 hours

Description
dear developer

tolong untuk generate user yg sebelum nya user name menggunakan employee id , di ubah menjadi mengunakan email adress,
query untuk ngubah length
PT Asuransi Tugu Pratama Indonesta Tok
PT Asuransi Tugu Pratama Indonesia Tok
Rale ID Profile.

Role Workflow Request  Admin
Role Workflow Request  Admin
Role Workfiow Request  Admin
Role Workflow Request  Admin
Role Workfow Request  Admin

Role Workflow Request  Admin

tersebut tidak ada di PHRPAO0O12 untuk communication type "03" tidak ada, makatidak usah di tampilkan

'ALTER TABLE [' + Table_Schema+'].['+Table_Name+'] Alter Column ['+Column_Name+" varchar(250);'

FROM INFORMATION_SCHEMA.COLUMNS
WHERE COLUMN_NAME-='UserName'

Lock Status

Is Active

History

#1 - 07/26/2022 04:59 PM - Moch Alinafia
- File clipboard-202207261655-m0784.png added

- Description updated

#2 - 07/28/2022 03:30 PM - Moch Alinafia

- Description updated

#3 - 07/28/2022 03:38 PM - Kezia Pawitra Yulianti
- Due date set to 08/03/2022
- Status changed from New to Assigned

- Priority changed from Normal to High

#4 - 07/28/2022 04:48 PM - Tri Rizqiaty
- File MinovalS.MinovaES.Implementation.Data.Element. TPI.dll added
- File clipboard-202207281646-hnlc0.png added

- File MinovalS.MinovaES.Business.Core.dll added

- File clipboard-202207281647-nhesw.png added

- File PCMEPGENPARAM .xIsx added

- File clipboard-202207281648-rn0Oec.png added

- Status changed from Assigned to Developing

Fixing Load :

1. Update API1-bin : MinovalS.MinovaES.Implementation.Data.Element. TPI.dll (file terlampir)
2. Update API2-bin : MinovalS.MinovaES.Implementation.Data.Element. TPI.dll (file terlampir)
3. Update table PCMEPGENPARAM sesuai excel terlampir

MINOVAIS-SERVE...0.PCMEPGENPARAM + > [EelKelTT Ty I (o Ny LT BT Y ) SOLQueryl.sql - _TP|_Prod (sa (91))*
Column Alias Table Qutp... Sort Type Sort Order Filter Or... Or... Qr... =
StartDate PCMEPGE...
EndDate PCMEPGE...
» Parameter PCMEPGE...
Sequence PCMEPGE...
Module PCMEPGE...
Operator] PCMEPGE...
Valuel PCMEPGE...
Operator2 PCMEPGE...
Value2 PCMEPGE...
Motes PCMEPGE...
CreateBy PCMEPGE...
CreateDate PCMEPGE... 4
StartDate EndDate Parameter Sequence Module Operator] Valuel Operator2 Value2 Motes CreateBy CreateDate
19000101 999971231 PCMEPUSERGEMERATE PROFILEID 1 USER = ESS = ADMIN Parameter User ... minovais 20170207181834
19000101 999971237 PCMEPUSERGEMERATE_PROFILEID 2 USER = HR = ADMIN Parameter User ... minovais 20170207181834
13000101 99991231 PCMEPUSERGEMERATE_ROLEID 1 USER = ESS = 'WFREQ Parameter User ... minovais 20170207181834
19000101 999971231 PCMEPUSERGEMERATE_ROLEID 2 USER = HR = HR Parameter User ... minovais 20170207181834
19000101 999971237 PCMEPUSERGEMERATEMAIL 1 M = SUBJECT = [MINOVAES] Yo... Parameter untu... minovais 20170207181834
13000101 99991231 PCMEPUSERGEMERATEMAIL 2 CM = BODY = Dear @user <br... NULL NULL NULL
19000101 999971231 PCMEPUSERGEMERATE_COMMTYPE 1 USER = 03 kode email Parameter User ... minovais 20170207181834
» 19000101 99991231 1 USER = 1 1=Ya 0=Tidak PafameterUser.. minovais 2017020718183
N AULL ML AULL ML AULL ML AULL ML AULL MULL NULL NULL
< >
48 of 8 3
4. Update table SDATASOURCE - DataSourceName : SGENERATEUSER menjadi seperti gambar dibawah ini
MINOVAIS-SERVERY...dbo SDATASOURCE & < [N (eiN AW [o1el ol (v e MINOVAIS-SERVE...0.PCMEPGENPARAM SQLQuery2.sql - 1 93) Load_SGENERATEUSE... TPI_Prod (sa (91))*
Column Alias Table Qutp... Sort Type Sort Order Eilter Qr... Or... Or...
] DataSourceMName SDATASO... 'SGENERATEUSER'
bleNarme SDATASO.
StoreToTable SDATASO...
StringQuery SDATASO...
LibraryNameFile SDATASO...
Classhame SDATASO...
MethedName SDATASO...
Active SDATASO...
o]
DataSnurcebla 3bleMame StoreToTable StringQuery LibraryMameFile Classhame MethodMName Active
SGENERATEUSER  NULL 1 NULL MinovalS.MinovaES.Implementation.Data.Element. TPI LoadDataSet PDSGENERATE.. 1
b U VULL NULL NULL NULL NULL NULL NULL
rubah menjadi seperti ini
H 4|2 of 2

Fixing Generate:
1. Update API1-bin : MinovalS.MinovaES.Business.Core.dll (file terlampir)

2. Update API2-bin : MinovalS.MinovaES.Business.Core.dll (file terlampir)
3. Update table PCMEPAPPCONFIG sesuai excel terlampir
MINOVAIS-SERVER\...n - dbo.hr_cul300 MINOWVAIS-SERVER\..jamsostek_pension

SOLQuery2.sql - 192...reduction (sa (52))

MINOVAIS-SERVE...0.PCMEPGENPARAM

MINVAIS- SERVER...PCMEPAPPCONFIG + > [

Column Alias Table Qutp... Sort Type Sort Order Filter Or. Or... Or...

Confighlame PCMEPAP... = 'SYSLOCKTIME' = 'SYSPSWLOCKNUM'

Sequence PCMEPAP...

Value PCMEPAP..,
» Active PCMEPAE... :

Motes PCMEPAP...

CreateBy PCMEPAP...

CreateDate PCMEPAP...

ChangeBy PCMEPAP...

ChangeDate PCMEPAP...

[m]

Confighlame Sequence Value Active Motes CreateBy CreateDate ChangeBy ChangeDate

SYSLOCKTIME 1 3 1 Maximum Error... minovais 20160101010101  minovais 20160101010101
3 SYSPSWLOCKN... 1 3 1 Maximum Error... minovais 20160101010101  minovais 20160101010101
® NULL MULL NULL NULL MULL NULL NULL MULL NULL
M 4|2 of 2 b
#5 - 07/28/2022 04:49 PM - Tri Rizqiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqgiaty to Moch Alinafia
#6 - 07/28/2022 05:00 PM - Moch Alinafia
- Status changed from QA Test to Closed
Files
clipboard-202207261655-m0784.png 214 KB 07/26/2022 Moch Alinafia
MinovalS.MinovaES.Implementation.Data.Element. TP1.dlI 149 KB 07/28/2022 Tri Rizqgiaty
clipboard-202207281646-hnlc0.png 53.5 KB 07/28/2022 Tri Rizqiaty
MinovalS.MinovaES.Business.Core.dll 42.5 KB 07/28/2022 Tri Rizqgiaty
clipboard-202207281647-nhesw.png 79.2 KB 07/28/2022 Tri Rizqgiaty
PCMEPGENPARAM.xIsx 8.9 KB 07/28/2022 Tri Rizqgiaty
clipboard-202207281648-rn0ec.png 59.3 KB 07/28/2022 Tri Rizqgiaty
